Public Member Functions | List of all members
WP5UnsupportedVariableLengthGroup Class Reference

`#include <WP5UnsupportedVariableLengthGroup.h>`

Inheritance diagram for WP5UnsupportedVariableLengthGroup:

## Public Member Functions
| WP5UnsupportedVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP5Listener *) override
Public Member Functions inherited from WP5VariableLengthGroup
| WP5VariableLengthGroup ()
| ~WP5VariableLengthGroup () override
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Additional Inherited Members
Static Public Member Functions inherited from WP5VariableLengthGroup
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP5VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## ◆ WP5UnsupportedVariableLengthGroup()

WP5UnsupportedVariableLengthGroup::WP5UnsupportedVariableLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## Member Function Documentation

## ◆ parse()

void WP5UnsupportedVariableLengthGroup::parse | ( | WP5Listener * |  | ) |
| inline override virtual

Implements WP5Part.

The documentation for this class was generated from the following files:

- WP5UnsupportedVariableLengthGroup.h
- WP5UnsupportedVariableLengthGroup.cpp